#ifdef WIN32
#pragma once
#endif
#ifndef APPGENE_H_
#define APPGENE_H_

#ifdef WIN32
#define M_PATHSEP "\\"
#else
#define M_PATHSEP "/"
#endif

#include <cassert>

#define EXTDLL_H
#include <math.h>
typedef float real_t;
typedef float vec_t;
#include "Vector.h"

#ifdef M_DEBUGC
#define DBGASSERT(a) assert(a)
#define M_DBGLINE
#else
#define DBGASSERT(a) 
#define M_DBGLINE /##/
#endif
/*
#ifndef FLT_EPSILON
#define FLT_EPSILON     1.192092896e-07f        /* smallest such that 1.0+FLT_EPSILON != 1.0 */
//#endif
/*
const float         K_Hugef     =  1.0e+38f;  // Huge number for FLOAT
const float         K_Epsilonf  =  1.0e-5f;   // Tolerance for FLOATs
*/
#ifndef M_PI
 #define M_PI 3.14159265358979323846
#endif

#ifndef bool_t
typedef int bool_t; 
#endif
#ifndef byte
typedef unsigned char byte;
#endif

#ifndef TRUE
 #define TRUE 1
 #define FALSE 0
#endif

void Error(char *, ...);
#define ERROR_LOG(a) {	FILE * pErr= fopen("_Error.log","a");	fprintf( pErr,a);	fclose(pErr);	}


void affDbgMsg( unsigned int i,char * ,...);

#endif//eof