#ifdef _WIN32
#pragma once
#endif
#ifndef CONSOLE_CT_H_
#define CONSOLE_CT_H_

//+++++++++++++++++++++++++++
class Csl_ct
{
public:
static enum{ K_CslStrLen= 255, K_CslBufLen= K_CslStrLen+1};
static char ConsoleTxt[];
static char ConsoleMsg[];
static char * pChar;
static int bConsoleMode;
	Csl_ct(){}
	void reset();
	void init();
	void in();
	int get( unsigned char);
};
//-------------------------------------------
inline	void Csl_ct:: in()
	{
	reset();
	bConsoleMode= 1;
	}
//-------------------------------------------
inline void Csl_ct:: reset()
	{
	pChar= Csl_ct::ConsoleTxt;
	*pChar= '\0';
	Csl_ct::ConsoleMsg[0]='\0';
	}
//--------------------------------------------
inline int Csl_ct:: get( unsigned char key)
	{
//	cout<< key;
	int ret_a=0;
	if( (pChar- Csl_ct::ConsoleTxt)== Csl_ct::K_CslBufLen)
		{
//		cout<< "max length reached on console input\n";
		strcpy( ConsoleMsg, "max length reached on console input\n");
		return 0;
		}
	if( key== '\r')//13
		{
		bConsoleMode= 0;
		ret_a= 1;
		return 1;
		}	
	int LowKey_a= tolower( key);
	*pChar= LowKey_a;
	++pChar;
	*pChar='\0';
	return ret_a;
	}
#endif //eof
