#ifdef _WIN32
#pragma once
#endif
#ifndef DISPLAYOPTION_CT_H_
#define DISPLAYOPTION_CT_H_

#ifdef MI_HLBSPBUILD
#include "bsp5.h"
#endif
//++++++++++++++++++++++++++++++++++++++++
class DisplayOption_ct
{
public:

#ifdef MI_HLBSPBUILD
int bDrawAllModelSurfs;
int DrawSurfModelIdx;
int bDrawSurf;
BspBuilder2_ct:: surface_t * pSurface;
int bDrawFace;
BspBuilder2_ct:: face_t * pFace;
#endif

HLBspFile_ct * pHLBspFileForInfo;

	DisplayOption_ct() {  reset(); }
	void reset()
		{
		pHLBspFileForInfo= NULL;
#ifdef MI_HLBSPBUILD
		bDrawAllModelSurfs= 0;
		DrawSurfModelIdx= 0;
		bDrawSurf=0;
		pSurface=0;
		bDrawFace=0;
		pFace=0;
#endif
		}

#ifdef MI_HLBSPBUILD
	void onChangeSurf();
	void onChangeFace();
	void drawSurfs();
#endif
};

#endif