#ifndef FACE_H_
#define FACE_H_

#include <GL/glut.h>
#include "bspfile2.h"
#include "texture.h"
#include "RenderPlane_ct.h"
//+++++++++++++++++++++++++++++++++++++++++++++++++++++
class RenderFace_ct 
{
public:
    RenderFace_ct();
    ~RenderFace_ct();

    int type;
    int flags;
    int texture; // index into texture
    Texture_ct* lightmap; // current lightmap
    Texture_ct* lightmaps[ MAXLIGHTMAPS];
    int         styles[ MAXLIGHTMAPS];
	
dplane_t plane;
RenderPlane_ct Plane;
int side;

int first;
int count;

RenderFace_ct* next;

//MI_AllocFree( RenderFace_ct)
};

enum { KB_FD_Visible= KB_FD_Last<<1 };
#endif