#ifdef WIN32
#pragma once
#endif
#ifndef WORLD_H_
#define WORLD_H_
//
// BSP_tool - botman's Half-Life BSP utilities
//
// (http://planethalflife.com/botman/)
//
// world.h
//
// Copyright (C) 2001 - Jeffrey "botman" Broome
//
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
//
// See the GNU General Public License for more details at:
// http://www.gnu.org/copyleft/gpl.html
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
class HLBspFile_ct;
//+++++++++++++++++++++++++++++++++++++++++++++
class World_ct
{
public:
static enum{ K_LW_ForBspView, K_LW_ForBot };
float Mins[3];
float Maxs[3];
HLBspFile_ct * pHLBspFile;

   World_ct(void);
   ~World_ct(void) { }

   int  loadBSP( int ToLoad_i=K_LW_ForBspView, int Input_i= -1);
	virtual int  loadBSPPlus ( int ToLoad_i= K_LW_ForBspView);
};
//+++++++++++++++++++++++++++++++++++++++++++++
class WorldExtd_ct: public World_ct
{
public:
   int loadBSPPlus(int ToLoad_i= K_LW_ForBspView);

protected:
//   void FreeWorldCompl(void);
};

#define M_WHullXMin World.Mins[0]
#define M_WHullXMax World.Maxs[0]
#define M_WHullYMin World.Mins[1]
#define M_WHullYMax World.Maxs[1]
#define M_WHullZMin World.Mins[2]
#define M_WHullZMax World.Maxs[2]

#define M_WHullXMin1 (World.XMin+1)
#define M_WHullXMax1 (World.XMax-1)
#define M_WHullYMin1 (World.YMin+1)
#define M_WHullYMax1 (World.YMax-1)
#define M_WHullZMin1 (World.ZMin+1)
#define M_WHullZMax1 (World.ZMax-1)

#endif //eof

