//
// Copyright (C) 2001 - Jeffrey "botman" Broome
//
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
//
// See the GNU General Public License for more details at:
// http://www.gnu.org/copyleft/gpl.html
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#include "paklib.h"
#include "wadlib.h"
//#include "studio_model.h"

#ifndef HALFLIFEMODS_H_
#define HALFLIFEMODS_H_

#define MAX_MODELS 200
#define MAX_MODS 100
//++++++++++++++++++++++++++++++++++++
struct modconfig_t
{
   char        dir[256];
   pakconfig_t *pPak;
   wadconfig_t *pWad;
	modconfig_t(): pPak(0), pWad(0) { dir[0]='\0';}
	~modconfig_t() { clear(); }
	void clear();
};
//+++++++++++++++++++++++++++++++++++++
class HalfLifeMods_ct
{
public:
static char HalfLifeModsFE[];
int         num_mods;
modconfig_t mods[MAX_MODS];

int         valve_mod_index;
int         bsp_mod_index;
char      * pModDir;

   HalfLifeMods_ct() { reset(); }
   ~HalfLifeMods_ct();
	
	void reset();
	int  init( char *config_file);

   void AddPakFile(int mod_index, char *pakfilename);
   void AddWadFile(int mod_index, char *wadfilename);
   void AddHalfLifeDir(char *halflife_dir);
   int  ParseScriptFile(void);
	FILE *OpenMODFile(char *filename);
	void getbsp_mod_index( char * bspname);
};
#endif

