#include "appgene.h"
#include "u_RzbVector_ctpl.h"

#include <iostream>
#include <fstream>
using namespace std;

#include "bsp_ext.h"
#include "world_ct.h"
extern int bSurfOnly;

extern char MapName[];// no path no dot no file extension

int bBlockingModelsDefined=0;

HLBspFile_ct BspMove;
HLBspFileExtsn_ct BspExtsn;
char BlockingModelsDirS[]="DataIn"M_PATHSEP;
RszVector_cT<int,20> BlockingModelsIdx;
//------------------------------------------------------

//---------------------------------------------------------------
int WorldExtd_ct:: loadBSPPlus (int ToLoad_i)
{
int Pb_a= World_ct:: loadBSPPlus( ToLoad_i);
if( Pb_a)
	return Pb_a;

	
BlockingModelsIdx.clear();
BlockingModelsIdx.reserve(20);
BlockingModelsIdx.push_back(0);//model 0 is the world, so is always blocking move
char PFE_a[1024];
sprintf( PFE_a,"%s%s%s", BlockingModelsDirS, MapName,"_blockingents.cfg");
ifstream IFS_a(PFE_a);
if( IFS_a)
	{
	bBlockingModelsDefined=1;
	while( !IFS_a. eof())
		{
		int i;
		IFS_a>> i;
		BlockingModelsIdx.push_back(i);
		}
	}

BspExtsn. pHLBspFile= pHLBspFile;
BspExtsn. calcBspFileFaceFlags();
BspExtsn. buildBspFileLeafBounds();

return 0;
}
