#ifdef _WIN32
#pragma once
#endif

#ifndef WINDING_H_
#define WINDING_H_
//++++++++++++++++++++++++++++++++++++++++++++++
class Winding_ct
{
public:
typedef vecd_t Coord_t;
typedef vecd3_t Vec3_t;
	int		numpoints;
	Vec3_t *  points;
	Winding_ct( int numpoints_i=0):numpoints(numpoints_i), points(0)
		{
		if( numpoints_i)
			points= new Vec3_t[ numpoints_i];
		}
	Winding_ct( int numpoints_i, Vec3_t * Points_i): numpoints(numpoints_i), points( Points_i)	{	}
	~Winding_ct() 
		{  delete []points; 
		}	 
	void clear()
		{
		delete []points; 
		points= 0;
		numpoints= 0;
		}
	float calcArea ();

static Winding_ct * BaseWindingForPlane (dplane_t *p);
static Winding_ct	* CopyWinding (Winding_ct *w);
	void clip ( dplane_t *split, int keepon);
static void	        DivideWinding (Winding_ct *in, dplane_t *split, Winding_ct **front, Winding_ct **back);
	void	calcCenter( Winding_ct::Vec3_t center);
	void  calcPlane( dplane_t *plane);
};
typedef Winding_ct winding_t;

#endif